Page MenuHomePhabricator

External links inside ReferenceDrawer do not show the external link icon
Closed, ResolvedPublic1 Story Points

Description

Visit http://reading-web-staging.wmflabs.org/wiki/Copenhagen
Click a reference link [6]
See reference drawer

The link inside the reference drawer does not have an external link icon. Should it?

With icon:

Developer notes

It looks like this is intentional due to the rule

background-image: none;

Trivial to restore icons - remove this line.

QA steps

Can be tested on https://en.m.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein or http://reading-web-staging.wmflabs.org/wiki/Albert_Einstein

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2018, 2:02 AM
ovasileva triaged this task as Normal priority.Jul 30 2018, 8:42 AM
ovasileva added a subscriber: alexhollender.

@Jdlrobson yes, it should have an icon. I just checked with Nirzar and it's not and intentional choice from design to hide them.

Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
ovasileva set the point value for this task to 1.Jul 31 2018, 4:10 PM
ovasileva added subscribers: nray, ovasileva.

Pulling into the spring as this might be a good task for @nray to pick up

nray claimed this task.Jul 31 2018, 8:55 PM
nray moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Change 449613 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Add external link icon to external links in ReferenceDrawer

https://gerrit.wikimedia.org/r/449613

Change 449613 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add external link icon to external links in ReferenceDrawer

https://gerrit.wikimedia.org/r/449613

nray reassigned this task from nray to alexhollender.Aug 1 2018, 1:11 AM
Jdlrobson updated the task description. (Show Details)Aug 1 2018, 1:32 AM

Have added QA steps, over to you @alexhollender

ovasileva closed this task as Resolved.Aug 6 2018, 8:58 AM

Looks like we're done here. Thanks all!